AGAVEMapLocation (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.agave.AGAVEMapLocation class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.agave
Class AGAVEMapLocation

    java.lang.Object
      org.biojava.bio.seq.io.agave.AGAVEMapLocation

    public class AGAVEMapLocation

extends Object

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Constructor Summary
`AGAVEMapLocation()`

Method Summary
`void` | `addPosition(AGAVEMapPosition pos)`
`String` | `getChromosome()`
`String` | `getMapType()`
`String` | `getOrientation()`
`AGAVEMapPosition` | `getPosition1()`
`AGAVEMapPosition` | `getPosition2()`
`String` | `getSource()`
`String` | `getSubSeqStart()`
`String` | `getUnits()`
`void` | `setChromosome(String value)`
`void` | `setMapType(String value)`
`void` | `setOrientation(String value)`
`void` | `setSource(String value)`
`void` | `setSubSeqStart(String value)`
`void` | `setUnits(String value)`
`String` | `toString()`
`String` | `toString(String indent, String indent_unit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AGAVEMapLocation

    public AGAVEMapLocation()

Method Detail

### addPosition

    public void addPosition(AGAVEMapPosition pos)

### getPosition1

    public AGAVEMapPosition getPosition1()

### getPosition2

    public AGAVEMapPosition getPosition2()

### setMapType

    public void setMapType(String value)

### getMapType

    public String getMapType()

### setUnits

    public void setUnits(String value)

### getUnits

    public String getUnits()

### setSource

    public void setSource(String value)

### getSource

    public String getSource()

### setChromosome

    public void setChromosome(String value)

### getChromosome

    public String getChromosome()

### setSubSeqStart

    public void setSubSeqStart(String value)

### getSubSeqStart

    public String getSubSeqStart()

### setOrientation

    public void setOrientation(String value)

### getOrientation

    public String getOrientation()

### toString

    public String toString(String indent,
                           String indent_unit)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD